summaryrefslogtreecommitdiff
path: root/bin/decode+edit
diff options
context:
space:
mode:
authorJonas Smedegaard <dr@jones.dk>2017-04-12 09:21:49 +0200
committerJonas Smedegaard <dr@jones.dk>2017-04-12 09:51:00 +0200
commita00babb88ffab4edcd459cf21b99dbe716f724a1 (patch)
tree349932a83c037258b40d346439f959cb84795fe2 /bin/decode+edit
parent53cce70d95bf093e3ae0d4843ad3a9089945a9cd (diff)
Add decode+edit encode+stream.
Diffstat (limited to 'bin/decode+edit')
-rwxr-xr-xbin/decode+edit20
1 files changed, 20 insertions, 0 deletions
diff --git a/bin/decode+edit b/bin/decode+edit
new file mode 100755
index 0000000..3413e01
--- /dev/null
+++ b/bin/decode+edit
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -e
+
+ITERATIONS=${1-1}
+
+SIZE=640x360
+
+MOVIE=../src/omni/show0/earth.mp4
+LOGO=../../content/icon_small.png
+
+TMPMOVIE=../tmp/omni/show0/earth.yuv
+
+mkdir -p $(dirname "$TMPMOVIE")
+
+# based on http://video.stackexchange.com/a/16933
+ffmpeg -threads auto -y \
+ -f lavfi -i "movie=filename=$MOVIE:loop=$ITERATIONS, setpts=N/(FRAME_RATE*TB), scale=$SIZE" \
+ -i "$LOGO" -filter_complex 'overlay=main_w-overlay_w-20:main_h-overlay_h-20' \
+ -an -f yuv4mpegpipe "$TMPMOVIE"